## DzlDockOverlay DzlDockOverlay |

## Functions

GtkWidget * | dzl_dock_overlay_new ()
void | dzl_overlay_add_child ()
DzlDockOverlayEdge * | dzl_dock_overlay_get_edge ()
GtkAdjustment * | dzl_dock_overlay_get_edge_adjustment ()

## Types and Values

| DzlDockOverlayClass

## Description

## Functions

### dzl_dock_overlay_new ()

    GtkWidget *
    dzl_dock_overlay_new (void);

### dzl_overlay_add_child ()

    void
    dzl_overlay_add_child (DzlDockOverlay *self,
                           GtkWidget *child,
                           const gchar *type);

### dzl_dock_overlay_get_edge ()

    DzlDockOverlayEdge *
    dzl_dock_overlay_get_edge (DzlDockOverlay *self,
                               GtkPositionType position);

#### Parameters

self | An DzlDockOverlay. |
position | the edge position. |

#### Returns

The corresponding DzlDockOverlayEdge.

[transfer none]

### dzl_dock_overlay_get_edge_adjustment ()

    GtkAdjustment *
    dzl_dock_overlay_get_edge_adjustment (DzlDockOverlay *self,
                                          GtkPositionType position);

#### Parameters

self | An DzlDockOverlay. |
position | the edge position. |

#### Returns

The corresponding GtkAdjustment.

[transfer none]

## Types and Values

### DzlDockOverlayClass

    typedef struct {
      GtkEventBoxClass parent;

      void (*hide_edges) (DzlDockOverlay *self);

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    } DzlDockOverlayClass;